## Add an internal note (reviewers and managers of the posting)

`POST /api/hr/v1/recruiting/applications/{id}/notes`

Module: HR · operationId: `addApplicationNote` · Tag: Recruiting · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Request body

`application/json` (required)

- `body` (string, required): Text of the note (at most 20000 characters) (max length 20000)

Example:

```json
{
  "body": "Wir laden zum Fachgespräch mit Marie und Jonas ein."
}
```

### Responses

- **201** Added (`application/json`)
- **400** Error (`application/json`)
- **403** Error (`application/json`)
- **404** Error (`application/json`)

Fields of the 201 answer:

- `authorName` (string): Display name of who wrote the note
- `authorRef` (string): Who wrote the note (e-mail)
- `body` (string): Text of the note
- `createdAt` (string (date-time)): When the note was written
- `id` (string (uuid)): Id of the note

Example 201 answer:

```json
{
  "authorName": "Julia Hagen",
  "authorRef": "julia.hagen@muster-it.example",
  "body": "Telefonat am Montag: freundlich, technisch solide bei Entra ID und Conditional Access, PowerShell eher Grundlagen.",
  "createdAt": "2026-11-09T15:20:00Z",
  "id": "7c9e1a3c-5e7a-4c9e-9a3c-5e7a9c1e3a99"
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/hr/v1/recruiting/applications/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/notes' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"body":"Wir laden zum Fachgespräch mit Marie und Jonas ein."}'
```
